KVM_GETKERNELNAME(3)

NAME
kvm_getkernelname - get kernel name of opened kvm descriptor

LIBRARY
libkvm

SYNOPSIS
#include <kvm.h>
const char *
kvm_getkernelname(kvm_t *kd);

DESCRIPTION
This function returns a string containing the kernel name used from the kvm descriptor obtained by a previous kvm_open(3) or kvm_openfiles(3) call.

SEE ALSO
kvm(3), kvm_close(3), kvm_getargv(3), kvm_getenvv(3), kvm_getprocs(3), kvm_nlist(3), kvm_open(3), kvm_openfiles(3), kvm_read(3), kvm_write(3)